gm version

NAME

| version - display software version, feature, and build information

Contents

Synopsis
Description
Examples
Options

Synopsis

| gm version

Description

| version displays the software release version, build quantum (pixel sample) depth, web site URL, copyright notice, enabled features support, configuration parameters, and final build options used to build the software. The available information depends on how the software was configured and the host system.

Examples

To display the version information:

      % gm -version
      GraphicsMagick 1.3.17 2012-10-13 Q16 http://www.GraphicsMagick.org/
      Copyright (C) 2002-2012 GraphicsMagick Group.
      Additional copyrights and licenses apply to this software.
      See http://www.GraphicsMagick.org/www/Copyright.html for details.
      Feature Support:
        Thread Safe              yes
        Large Files (> 32 bit)   yes
        Large Memory (> 32 bit)  no
        BZIP                     yes
        DPS                      no
        FlashPix                 no
        FreeType                 yes
        Ghostscript (Library)    no
        JBIG                     no
        JPEG-2000                yes
        JPEG                     yes
        Little CMS               yes
        Loadable Modules         no
        OpenMP                   yes (201107)
        PNG                      yes
        TIFF                     yes
        TRIO                     no
        UMEM                     no
        WMF                      no
        X11                      yes
        XML                      yes
        ZLIB                     yes
      Host type: i386-pc-solaris2.11
      Configured using the command:
        ./configure  ...
      Final Build Parameters:
        CC       = ...
        CFLAGS   = ...
        CPPFLAGS = ...
        CXX      = ...
        CXXFLAGS = ...
        LDFLAGS  = ...
        LIBS     = ...

Back to Contents

Options

| The version command does not currently support any options.

Back to Contents